OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Namespaces | Enumerations | Functions
gridPatternFunctions.hpp File Reference
`#include <opencv2/opencv.hpp>`
`#include <openpose/core/common.hpp>`

Go to the source code of this file.

## Namespaces
| op

## Enumerations
enum | op::Points2DOrigin { op::Points2DOrigin::TopLeft, op::Points2DOrigin::TopRight, op::Points2DOrigin::BottomLeft, op::Points2DOrigin::BottomRight }

## Functions
OP_API std::pair< bool, std::vector< cv::Point2f > > | op::findAccurateGridCorners (const cv::Mat &image, const cv::Size &gridInnerCorners)
OP_API std::vector< cv::Point3f > | op::getObjects3DVector (const cv::Size &gridInnerCorners, const float gridSquareSizeMm)
OP_API void | op::drawGridCorners (cv::Mat &image, const cv::Size &gridInnerCorners, const std::vector< cv::Point2f > &points2DVector)
OP_API std::array< unsigned int, 4 > | op::getOutterCornerIndices (const std::vector< cv::Point2f > &points2DVector, const cv::Size &gridInnerCorners)
OP_API void | op::reorderPoints (std::vector< cv::Point2f > &points2DVector, const cv::Size &gridInnerCorners, const cv::Mat &image, const bool showWarning=true)
OP_API void | op::plotGridCorners (const cv::Size &gridInnerCorners, const std::vector< cv::Point2f > &points2DVector, const std::string &imagePath, const cv::Mat &image)